module.exports = {
  root: true,
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module',
    allowImportExportEverywhere: true,
    ecmaFeatures: {
      jsx: true,
    },
  },
  env: {
    browser: true,
    node: true,
    es6: true,
  },
  extends: ['prettier', 'plugin:vue/recommended', 'eslint:recommended'],
  rules: {
    'vue/html-closing-bracket-newline': 0,
    'vue/html-self-closing': 0,
    'vue/html-indent': 0,
    'vue/multi-word-component-names': 0,
    'vue/attributes-order': 0,
    'vue/no-v-html': 0,
    'vue/attribute-hyphenation': 0,
    'no-console': 0,
    'no-unused-vars': 1,
    // 驼峰变量命名
    camelcase: 0,
    eqeqeq: 1,
    'vue/no-mutating-props': 1,
    'vue/no-unused-components': 1,
    // vue/require-valid-default-prop 这一项其实应该是2/错误必检, 但是涉及的文件是在太多了, 怕一下子全改会爆炸
    'vue/require-valid-default-prop': 1,
    // 这一项真的是管得太宽了, 跟prettier严重冲突
    "vue/singleline-html-element-content-newline": 0,
    'no-var': 1,
    'no-useless-escape': 1,
    'prefer-const': 1,
    'object-shorthand': 1,
    'dot-notation': 1,
    'spaced-comment': 1, // 双斜杠注释后应紧接空格
    'no-case-declarations': 1,
    'arrow-parens': 2,
  }
}
